dfi2mat
=========

Overview
----------

`dfi2mat` is a MATLAB script that aims to import Digiflow dfi files into MATLAB in a useful way. The associated tool `dfiPlot` allows these to be quickly viewed.


Usage
-------

> output = dfi2mat(inFile)

Load the dfi file located at `inFile` into `output`.

> [output debug] = dfi2mat(inFile)

`output` is as above. The second output `debug` contains all the data in `inFile` but without any of the processing used to construct `output`. Use this if the first form has errors that mean you can't access all of your data.

The output format is currently specified in dfi2mat.m

> dfiPlot(output)

Attempts to plot the dfi file `output` as loaded by `dfi2mat`.

Known Issues
--------------

* Not all of Digiflow's rescaling facilities are supported. Errors are normal here but are unlikely to be important for most uses.
* Certain field names are reserved for use by the `output` structure. If your dfi uses those names you may have to use the `debug` output format in order to access your data.
* Not all dfi files have been tested. The specifications contain errors and these may not be supported. File a bug report.


Authors
--------

* Joshua Caplan (jsc63@cam.ac.uk)
